### Name: cyclicc
### Title: Cyclic graph (c) example
### Aliases: cyclicc.data cyclicc.qtl cyclicc
### Keywords: datagen

### ** Examples

## Not run: 
##D bp <- matrix(0, 6, 6)
##D bp[2,5] <- 0.5
##D bp[5,2] <- 0.8
##D bp[2,1] <- bp[3,2] <- bp[5,4] <- bp[6,5] <- 0.5
##D stdev <- rep(0.025, 6)
##D 
##D ## Use R/qtl routines to simulate.
##D set.seed(34567899)
##D mymap <- sim.map(len = rep(100,20), n.mar = 10, eq.spacing = FALSE,
##D   include.x = FALSE)
##D mycross <- sim.cross(map = mymap, n.ind = 200, type = "f2")
##D mycross <- sim.geno(mycross, n.draws = 1)
##D 
##D cyclicc.qtl <- produce.qtl.sample(cross = mycross, n.phe = 6)
##D mygeno <- pull.geno(mycross)[, unlist(cyclicc.qtl$markers)]
##D 
##D cyclicc.data <- generate.data.graph.c(cross = mycross, burnin = 2000,
##D   bq = c(0.2,0.3,0.4), bp = bp, stdev = stdev, geno = mygeno)
##D save(cyclicc.qtl, cyclicc.data, file = "cyclicc.RData", compress = TRUE)
## End(Not run)

data(cyclicc)
out <- qdgAlgo(cross=cyclicc.data, 
                phenotype.names=paste("y",1:6,sep=""),
                marker.names=cyclicc.qtl$markers, 
                QTL=cyclicc.qtl$allqtl, 
                alpha=0.005, 
                n.qdg.random.starts=1,
                skel.method="pcskel")

out
plot(out)



